Subject: Re: [for-next][PATCH] x86/Kconfig: Select PCI_LOCKLESS_CONFIG if PCI is enabled

From: Sinan Kaya <[email-masked]>
Date: Mon, 21 Jan 2019 18:18:12 -0500

On 1/18/2019 6:45 AM, Rafael J. Wysocki wrote:
> On Thu, Jan 17, 2019 at 11:10 PM Borislav Petkov <[email-masked]> wrote:
>>
>> On Thu, Jan 17, 2019 at 11:05:43PM +0100, Rafael J. Wysocki wrote:
>>> I have patches for intel_ips and intel_pmc_ipc queued up (will be
>>> pushed for -rc3), plus some others.
>>
>> Yeah, I saw the patchset and applied some of them locally so that I be
>> able to do randconfig builds. Do you have a branch somewhere which I can
>> merge locally for testing?
> 
> You can pull the tag I've just pushed to Linus:
> https://lore.kernel.org/lkml/CAJZ5v0jiK=zLP4cUsw=y9ea7PLHHgy=[email-masked]/T/#u
> 

Here is a result of my randconfig analysis using next-20190116.

There are two issues that are related to my change:
1. x86/Kconfig: Select PCI_LOCKLESS_CONFIG if PCI is enabled
2. mfd: Fix unmet dependency warning for MFD_TPS68470

I'll post v2 for this patch to pick up the above commit #2.

and three unrelated changes as follows:
1. platform/x86: Fix unmet dependency warning for SAMSUNG_Q10
2. platform/x86: Fix unmet dependency warning for ACPI_CMPC
3. iwlwifi: Fix unmet dependency warning for MAC80211_LEDS

I'm posting these unrelated changes independently.